ListDiscoveredEndpoints - AWS Security Agent

ListDiscoveredEndpoints

Returns a paginated list of endpoints discovered during a pentest job execution.

Request Syntax

POST /ListDiscoveredEndpoints HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "maxResults": number, "nextToken": "string", "pentestJobId": "string", "prefix": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

pentestJobId

The unique identifier of the pentest job to list discovered endpoints for.

Type: String

Required: Yes

prefix

A prefix to filter discovered endpoints by URI.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "discoveredEndpoints": [ { "agentSpaceId": "string", "description": "string", "evidence": "string", "operation": "string", "pentestJobId": "string", "taskId": "string", "uri": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

discoveredEndpoints

The list of discovered endpoints.

Type: Array of DiscoveredEndpoint objects

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: